# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'deis/version'

Gem::Specification.new do |spec|
  spec.name          = "deis"
  spec.version       = Deis::VERSION
  spec.authors       = ["Josh Lane"]
  spec.email         = ["jlane@engineyard.com"]
  spec.summary       = %q{Ruby API Client for Deis Controller API}
  spec.description   = %q{http://docs.deis.io/en/v1.3.0/reference/api-v1.0/}
  spec.homepage      = "http://github.com/engineyard/deis"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"

  spec.add_dependency "cistern", "~> 0.11"
  spec.add_dependency "faraday", "~> 0.9"
  spec.add_dependency "faraday_middleware"
  spec.add_dependency "ey-logger", "~> 0.0"
end
