ENV['MOCK_DEIS'] ||= 'true'

Bundler.require(:test)

require File.expand_path("../../lib/deis", __FILE__)

Dir[File.expand_path("../{support,shared}/**/*.rb", __FILE__)].each {|f| require f}

if ENV["MOCK_DEIS"] == 'true'
  Deis::Client.mock!
end

Cistern.formatter = Cistern::Formatter::AwesomePrint

RSpec.configure do |config|
  if Deis::Client.mocking?
    config.before(:each) { Deis::Client.reset! }
  else
    config.filter_run_excluding(mock_only: true)
  end

  config.order = "random"
end
